import { Link, Outlet } from "umi";
import styles from "./index.less";
import Header from "./Header";
import SidebarMenu from "./SidebarMenu";

export default function Layout() {
  return (
    <div className={styles.container}>
      <Header></Header>
      <SidebarMenu></SidebarMenu>
      <div className={styles.content}>
        <Outlet />
      </div>
    </div>
  );
}
