//@ts-nocheck
import React from "react";
import { Link } from "umi";

const styles = {
  container: {
    display: "flex",
    flexDirection: "column",
    alignItems: "center",
    justifyContent: "center",
    height: "100%",
    textAlign: "center",
  },
  title: {
    fontSize: "2rem",
    marginBottom: "1rem",
  },
  message: {
    fontSize: "1.2rem",
    marginBottom: "2rem",
  },
  link: {
    fontSize: "1rem",
    color: "#007bff",
    textDecoration: "none",
  },
};
/** @name 404 */
const NotFoundPage: React.FC = () => {
  return (
    <div style={styles.container}>
      <h1 style={styles.title}>404 - 页面未找到</h1>
      <p style={styles.message}>抱歉，您访问的页面不存在。</p>
      <Link to="/" style={styles.link}>
        返回首页
      </Link>
    </div>
  );
};

export default NotFoundPage;
