import React, { useMemo } from "react";
import styles from "./index.less";
import SituationOverview from "./components/SituationOverview";
import ProblemOverview from "./components/ProblemOverview";
import DomainEventSituationDistribution from "./components/DomainEventSituationDistribution";

/** @name 总览 */
const SolidWaste: React.FC = () => {
  return (
    <div className={styles.container}>
      <SituationOverview></SituationOverview>
      <ProblemOverview></ProblemOverview>
      <DomainEventSituationDistribution></DomainEventSituationDistribution>
    </div>
  );
};

export default SolidWaste;
